FreeBSD / DrFTPD 3 (Solved)

Generic questions and request for help of DrFTPD 3.0

Moderator: developers

FreeBSD / DrFTPD 3 (Solved)

Postby ibanez0r » Fri Dec 07, 2012, 5:33 am

Hey guys im attempting a DrFTPD 3 install on FreeBSD 8.3, I have checked and read and re-read all the bsd guides i can find, however they are all for drftpd 2 and theres sections of the tutorials that dont match the drftpd 3.0 structure, for example,

Now edit your jni.sh located in /drftpd/src/se/mog/io


this folder doesnt exist in drftpd 3.0 and when i attempt to install without making these mods i have a sucessful build but then when the installer attempts to run i have the following error:

Launch installer in GUI mode (y/n): n
Exception in thread "main" java.lang.UnsatisfiedLinkError: /usr/local/src/drftpd/lib/libTerminal.so: /usr/local/lib/compat/libc.so.6: version GLIBC_2.1.3 required by /usr/local/src/drftpd/lib/libTerminal.so not defined
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1750)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1675)
at java.lang.Runtime.loadLibrary0(Runtime.java:840)
at java.lang.System.loadLibrary(System.java:1047)
at charva.awt.Toolkit.<clinit>(Toolkit.java:896)
at org.drftpd.tools.installer.console.ConsoleInstaller.<clinit>(ConsoleInstaller.java:55)
at org.drftpd.tools.installer.Wrapper.main(Wrapper.java:62)



I'd really appreciate some help with this, can anyone help me pleeasssse ?
Last edited by ibanez0r on Sun Dec 09, 2012, 3:02 am, edited 1 time in total.
ibanez0r
 
Posts: 5
Joined: Fri Dec 07, 2012, 5:29 am

Re: FreeBSD / DrFTPD 3

Postby ibanez0r » Sat Dec 08, 2012, 10:36 pm

Hey guys, I managed to work it out!! :)

I thought i should come and post here for anyone else trying to sort out a FreeBSD install and also struggling. I found a zip file called Charva.zip in the extsources folder, it was in this zip that i found the src for the problematic libTerminal.so, see usually, along with linux emulation a simple brandelf would of fixed this and minor versions usually dont pose a problem, tho this time i had to build libTerminal.so on bsd, the buildscript failed the 1st time tho i recognised the problem, install gmake and then, eventually issues the command to build manually in the makefile folder issuing gmake - f etc.

Everything compiled and i was able to deploy, 1 plugin failed to compile the VFS one unfortunately i think ill prob need it too, im going to attempt to get this thing working, untill then, adios.
ibanez0r
 
Posts: 5
Joined: Fri Dec 07, 2012, 5:29 am

Re: FreeBSD / DrFTPD 3

Postby ibanez0r » Sun Dec 09, 2012, 1:24 am

Ok, next problem i cant seem to compile the VFS plugin, i see errors in the build.log

saying lucene-core-3.3.0.jar and lucene-queries-3.3.0.jar dont exist and i checked they dont, only 3.2.0? i tried making a symlink but it through a fit saying a bunch of classes cant be found, so i assume atm this src code is broken? I only have the files below, please help!

1248 -rw-r--r-- 1 root wheel 1246325 Jun 11 2011 lucene-core-3.2.0.jar
46 -rw-r--r-- 1 root wheel 46607 Jun 11 2011 lucene-queries-3.2.0.jar
ibanez0r
 
Posts: 5
Joined: Fri Dec 07, 2012, 5:29 am

Re: FreeBSD / DrFTPD 3

Postby ibanez0r » Sun Dec 09, 2012, 3:02 am

I found it here http://archive.apache.org/dist/lucene/java/3.3.0/ yey :D everything compiled im so happy!
ibanez0r
 
Posts: 5
Joined: Fri Dec 07, 2012, 5:29 am


Return to General questions

Who is online

Users browsing this forum: No registered users and 1 guest